
TYPO3.Form - Bug # 36664

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2012-04-27 Assigned To: Bastian Waidelich
Updated: 2012-06-04 Due date:
Subject: FormElements can't handle BackendModule Requests
Description

The current implementation of the Request handling only works for one getParentRequest level.
This fails in the Context of the Phoenix BackendModule because the Request is hidden deeper.

Attached is a diff to go as deep as it needs to go.

Related issues:
blocks Foo.ContentManagement - Major Feature # 37293: Refactor Admin to work ... New 2012-05-18

Associated revisions
Revision 8b084290 - 2012-06-06 14:10 - Aske Ertmann 

[TASK] Use plugin namespace as argument namespace for sub requests

The use of plugin arguments instead of regular arguments is needed after
the HTTP rewrite, since all arguments of sub controllers/requests are now
defined at root level. Since the form is a plugin this makes sense.

Related: #36664

Change-Id: I2b686b044b5fae25ef0d6b241ed3bd68d4e0d8c3

History
#1 - 2012-04-27 18:13 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#2 - 2012-05-02 18:04 - Bastian Waidelich
- Status changed from New to Needs Feedback

Could you quickly check whether https://review.typo3.org/#/c/10755/2 fixes this for you?

#3 - 2012-05-02 18:12 - Marc Neuhaus

I've just tried that patch without success.

the $pluginArguments and the request stays empty.

This results in simply Rerendering the original form, because no submitted data is detected.

#4 - 2012-05-25 15:12 - Marc Neuhaus
Just tried the latest version of FLOW3 again, still not working. the Form package doesn't receive any arguments :/

The request in FormRuntime.php line 161 has no arguments at all.

#5 - 2012-05-28 12:26 - Bastian Waidelich

Marc Neuhaus wrote:

Just tried the latest version of FLOW3 again, still not working.

Did https://review.typo3.org/#/c/10333/ solve your issue (toghether with the patch from https://review.typo3.org/#/c/10755/) ?

#6 - 2012-06-04 01:02 - Marc Neuhaus

Those 2 Patches seem to do the trick :)

You can close this issue.

#7 - 2012-06-04 09:40 - Marc Neuhaus
- File FormRuntime.diff added

Although this additional Patch would make this thing work in any Request :)

#8 - 2012-06-04 11:33 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved
- Assigned To set to Bastian Waidelich

Thanks for your input. I incorporated your last suggestion into https://review.typo3.org/#/c/10755/5

Files
FormRuntime.diff 1.1 kB 2012-04-27 Marc Neuhaus
FormRuntime.diff 526 Bytes 2012-06-04 Marc Neuhaus
